SQLITE3_FILE(3)

NAME
sqlite3_file, sqlite3_file - OS Interface Open File Handle

SYNOPSIS
#include <sqlite3.h>
typedef struct sqlite3_file sqlite3_file;
struct sqlite3_file;

DESCRIPTION
An sqlite3_file object represents an open file in the OS interface layer. Individual OS interface implementations will want to subclass this object by appending additional fields for their own use. The pMethods entry is a pointer to an sqlite3_io_methods object that defines methods for performing I/O operations on the open file.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 717.

    typedef struct sqlite3_file sqlite3_file;
    struct sqlite3_file {
      const struct sqlite3_io_methods *pMethods;  /* Methods for an open file */
    };

SEE ALSO
sqlite3_vfs(3)